Package com.ocient.rest

# Class MetricsResponse

java.lang.Object
com.ocient.rest.MetricsResponse

public class MetricsResponse extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MetricsResponse.Serializer`
Returns a flat array of JSON objects, each representing a metric.

## Method Summary

Modifier and Type
Method
Description
`static MetricsResponse`
`delayed(List<Metric<?>> metrics)`
Returns a response that defers capture of `Metric` values until JSON serialization using the com.fasterxml.jackson.databind `JsonSerializer`.
`static MetricsResponse`
`snapshot(List<Metric<?>> metrics)`
Eagerly snapshots the current values for all `Metric`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### delayed

public static MetricsResponse delayed(List<Metric<?>> metrics)
Returns a response that defers capture of `Metric` values until JSON serialization using the com.fasterxml.jackson.databind `JsonSerializer`.

Parameters:
  `metrics` - the list of `Metric`s
Returns:
  the response object

### snapshot

public static MetricsResponse snapshot(List<Metric<?>> metrics)
Eagerly snapshots the current values for all `Metric`s.

Parameters:
  `metrics` - the list of `Metric`s
Returns:
  the response object